jack for lenny

Free Ekanayaka free at 64studio.com
Mon Jan 12 13:48:07 UTC 2009

Hi Reinhard,

|--==> On Mon, 12 Jan 2009 13:49:07 +0100, Reinhard Tartler <siretart at tauware.de> said:

  RT> That is what I mean with 'shlibs bump'.

Got it, thanks.

  RT> I'm comparing here version 0.109 against version 0.116. Here is
  RT> the diffstat:
  >>>>>diffstat /tmp/jack.diff
  RT> jack.h      |  380 +++++++++++++++++++++++++++++++++++++-----------------------
  RT> midiport.h  |    7 +
  RT> thread.h    |   23 +++
  RT> transport.h |   24 +++
  RT> types.h     |    4 
  RT> 5 files changed, 293 insertions(+), 145 deletions(-)
  RT> And here the diff itself:
  RT> There vast majority of the changes seem to be due to renames in
  RT> jack.h.
  >>As far as I can tell the old names are all preserved, probably with a
  >>runtime warning.

  RT> too bad that there is no easy way of verifying this. And that's a pretty
  RT> good reason for the RT to reject the new upstream version. :-(

Well, we could get a compatibility statement from the upstream
developers, in addition to our statement about actual tests (see

  >>That's probably not too bad after all, it's another argument for
  >>migrating 0.116 to testing :)

  RT> it is an good argument to do something. And we have collected arguments
  RT> now to not include the new upstream version. Perhaps you can demonstrate
  RT> what amount of testing has been done with the version 0.116? That would
  RT> be our only chance to convince the release team to accept the new
  RT> version.

Why have we collected arguments for not including the upstream version
in testing? Quite the contrary:

1) upstream deprecates 0.109
2) we know that 0.116 does not break packages built against earlier version
   because the soname is the same, and the API is backward compatible
3) I and others have tested 0.116 on lenny with quite a few packages

The 0.116 package was tested on lenny by me and by others 64 Studio
[0] testers. I have set an automatic backporter which builds the
latest sid version of a few packages against lenny using cowbuilder:


me and other testers have been using the backported jackd with no
problem. The APT uri is:

deb http://apt.64studio.com/backports lenny-backports main

Tested packages include ardour, audacity, muse, rosegarden,
mhwaveedit, various dssi synths, ams, amsynth, mplayer, qjackctl,
zynaddsubfx, and others.

  RT> If we don't manage to convince them until this week end, I'd propose to
  RT> reintroduce 0.109.2 to unstable and keep 0.116 in experimental only.

I hope we can work this out, it would be a shame if lenny ships with
jack 0.109.



[0] http://www.64studio.com

More information about the pkg-multimedia-maintainers mailing list